Module rewriting Apache Zend Serveur

configuration Apache, Zend et PHP , Web services
Répondre
little_noland
Messages : 7
Enregistré le : lun. 10 déc. 2012, 10:27:16

Module rewriting Apache Zend Serveur

Message par little_noland »

Bonjour,

Je viens vers vous concernant le module mod_rewriting de Apache (que vous connaissez certainement tous), qui permet de réécrire les urls à la volées.

J'ai tenté de modifier mon fichier httpd.conf de la manière suivante :

Code : Tout sélectionner

LoadModule mod_rewrite modules/mod_rewrite.so
Mais le serveur reste en erreur lors du redémarrage.

J'ai tenté également de mettre les bibliothèques suivantes :

Code : Tout sélectionner

LoadModule mod_rewrite /QSYS.LIB/QHTTPSVR.LIB/QZFAST.SRVPGM
LoadModule mod_rewrite /QSYS.LIB/QHTTPSVR.LIB/QZSRCORE.SRVPGM
mais sans succès.

Quelqu'un aurait déjà essayé ce module pour que je puisse le mettre en place à mon tour ?

PS : ZendServeur version 5.0.4
PHP version 5.3.3
AS400 version V7R1MO

Merci à tous.[/code]

little_noland
Messages : 7
Enregistré le : lun. 10 déc. 2012, 10:27:16

(sans texte)

Message par little_noland »

Je me répond à moi même car avec le serveur Zend, il reconnait le .htaccess et fait automatique le rewriting.

cmasse
Site Admin
Messages : 802
Enregistré le : mer. 14 févr. 2007, 18:00:03
Localisation : Nantes
Contact :

LoadModule

Message par cmasse »

les seuls modules Apache que l'on peut avoir besoin de charger sont :

Les modules pour faire du reverse proxy sous Zend Core

- LoadModule proxy_module /QSYS.LIB/QHTTPSVR.LIB/QZSRCORE.SRVPGM
- LoadModule proxy_http_module /QSYS.LIB/QHTTPSVR.LIB/QZSRCORE.SRVPGM
- LoadModule proxy_connect_module /QSYS.LIB/QHTTPSVR.LIB/QZSRCORE.SRVPGM
- LoadModule proxy_ftp_module /QSYS.LIB/QHTTPSVR.LIB/QZSRCORE.SRVPGM

Le module pour compresser les pages à la volée :

- LoadModule deflate_module /QSYS.LIB/QHTTPSVR.LIB/QZSRCORE.SRVPGM

et le module pour TOMCAT

- LoadModule jk_module /QSYS.LIB/QHTTPSVR.LIB/QZTCJK.SRVPGM
Christian Massé (Volubis.fr)

little_noland
Messages : 7
Enregistré le : lun. 10 déc. 2012, 10:27:16

(sans texte)

Message par little_noland »

C'est bizarre car cela fonctionne mais je n'ai aucune de ces lignes dans httpd.conf.

cmasse
Site Admin
Messages : 802
Enregistré le : mer. 14 févr. 2007, 18:00:03
Localisation : Nantes
Contact :

modules Apache

Message par cmasse »

Effectivement , ces modules ne sont obligatoires (comme indiqué plus haut) que pour :

a/ faire du reverse proxy (Zendcore uniquement, pas Zend server)
b/ faire de la compression
c/ dialoguer avec un serveyr TOMCAT
Christian Massé (Volubis.fr)

Répondre